
_WaitForInput:

;menu.c,25 :: 		unsigned char WaitForInput(void){
;menu.c,26 :: 		unsigned char done = 0; //DONE Var will determine if done and hold key
	CLRF       WaitForInput_done_L0+0
;menu.c,28 :: 		while(!done){                                  //while done == 0
L_WaitForInput0:
	MOVF       WaitForInput_done_L0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_WaitForInput1
;menu.c,29 :: 		if (Button(&PORTA, MENU, 1, 0))
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_WaitForInput2
;menu.c,30 :: 		done = MENU;
	MOVLW      2
	MOVWF      WaitForInput_done_L0+0
L_WaitForInput2:
;menu.c,31 :: 		if (Button(&PORTA, UP, 1, 0))
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      3
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_WaitForInput3
;menu.c,32 :: 		done = UP;
	MOVLW      3
	MOVWF      WaitForInput_done_L0+0
L_WaitForInput3:
;menu.c,33 :: 		if (Button(&PORTA, DOWN, 1, 0))
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      4
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time_ms+0
	CLRF       FARG_Button_active_state+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_WaitForInput4
;menu.c,34 :: 		done = DOWN;
	MOVLW      4
	MOVWF      WaitForInput_done_L0+0
L_WaitForInput4:
;menu.c,35 :: 		}
	GOTO       L_WaitForInput0
L_WaitForInput1:
;menu.c,36 :: 		return done;                                  //Return our done/key var
	MOVF       WaitForInput_done_L0+0, 0
	MOVWF      R0+0
;menu.c,37 :: 		}
	RETURN
; end of _WaitForInput

_MainMenu:

;menu.c,39 :: 		void MainMenu(void){
;menu.c,40 :: 		unsigned char POS = 0; 	//Used for cursor ONLY!
	CLRF       MainMenu_POS_L0+0
;menu.c,41 :: 		unsigned char done = 0;
	CLRF       MainMenu_done_L0+0
;menu.c,43 :: 		unsigned char ITEM=0;
	CLRF       MainMenu_ITEM_L0+0
;menu.c,44 :: 		unsigned char PAGE=0;
	CLRF       MainMenu_PAGE_L0+0
;menu.c,46 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;menu.c,48 :: 		while(!done){
L_MainMenu5:
	MOVF       MainMenu_done_L0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_MainMenu6
;menu.c,49 :: 		for(x=0;x<2;x++){
	CLRF       MainMenu_x_L0+0
L_MainMenu7:
	MOVLW      2
	SUBWF      MainMenu_x_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_MainMenu8
;menu.c,51 :: 		if(x == POS)
	MOVF       MainMenu_x_L0+0, 0
	XORWF      MainMenu_POS_L0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_MainMenu10
;menu.c,52 :: 		Lcd_Out((x+1),1,">");
	INCF       MainMenu_x_L0+0, 0
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_menu+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	GOTO       L_MainMenu11
L_MainMenu10:
;menu.c,54 :: 		Lcd_Out((x+1),1," ");
	INCF       MainMenu_x_L0+0, 0
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_menu+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_MainMenu11:
;menu.c,56 :: 		Lcd_Out((x+1),2,MainMenuLIST[(x+PAGE)]);
	INCF       MainMenu_x_L0+0, 0
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       MainMenu_PAGE_L0+0, 0
	ADDWF      MainMenu_x_L0+0, 0
	MOVWF      R3+0
	CLRF       R3+1
	BTFSC      STATUS+0, 0
	INCF       R3+1, 1
	MOVLW      4
	MOVWF      R2+0
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L__MainMenu35:
	BTFSC      STATUS+0, 2
	GOTO       L__MainMenu36
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__MainMenu35
L__MainMenu36:
	MOVF       R0+0, 0
	ADDLW      _MainMenuLIST+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;menu.c,49 :: 		for(x=0;x<2;x++){
	INCF       MainMenu_x_L0+0, 1
;menu.c,57 :: 		}
	GOTO       L_MainMenu7
L_MainMenu8:
;menu.c,59 :: 		switch(WaitForInput()){
	CALL       _WaitForInput+0
	GOTO       L_MainMenu12
;menu.c,60 :: 		case UP:
L_MainMenu14:
;menu.c,61 :: 		if(POS>0){
	MOVF       MainMenu_POS_L0+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_MainMenu15
;menu.c,62 :: 		POS--;
	DECF       MainMenu_POS_L0+0, 1
;menu.c,63 :: 		ITEM--;
	DECF       MainMenu_ITEM_L0+0, 1
;menu.c,64 :: 		} else {
	GOTO       L_MainMenu16
L_MainMenu15:
;menu.c,65 :: 		if(PAGE != 0) PAGE--;
	MOVF       MainMenu_PAGE_L0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_MainMenu17
	DECF       MainMenu_PAGE_L0+0, 1
L_MainMenu17:
;menu.c,66 :: 		}
L_MainMenu16:
;menu.c,67 :: 		break;
	GOTO       L_MainMenu13
;menu.c,68 :: 		case DOWN:
L_MainMenu18:
;menu.c,69 :: 		if(POS<2){
	MOVLW      2
	SUBWF      MainMenu_POS_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_MainMenu19
;menu.c,70 :: 		POS++;
	INCF       MainMenu_POS_L0+0, 1
;menu.c,71 :: 		ITEM++;
	INCF       MainMenu_ITEM_L0+0, 1
;menu.c,72 :: 		} else {
	GOTO       L_MainMenu20
L_MainMenu19:
;menu.c,73 :: 		PAGE=1;
	MOVLW      1
	MOVWF      MainMenu_PAGE_L0+0
;menu.c,74 :: 		}
L_MainMenu20:
;menu.c,75 :: 		break;
	GOTO       L_MainMenu13
;menu.c,76 :: 		case MENU:
L_MainMenu21:
;menu.c,77 :: 		done = 0xFF;
	MOVLW      255
	MOVWF      MainMenu_done_L0+0
;menu.c,78 :: 		break;
	GOTO       L_MainMenu13
;menu.c,79 :: 		}
L_MainMenu12:
	MOVF       R0+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_MainMenu14
	MOVF       R0+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_MainMenu18
	MOVF       R0+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_MainMenu21
L_MainMenu13:
;menu.c,80 :: 		}
	GOTO       L_MainMenu5
L_MainMenu6:
;menu.c,83 :: 		ITEM+=PAGE;
	MOVF       MainMenu_PAGE_L0+0, 0
	ADDWF      MainMenu_ITEM_L0+0, 1
;menu.c,84 :: 		switch(ITEM){
	GOTO       L_MainMenu22
;menu.c,85 :: 		case 0:
L_MainMenu24:
;menu.c,86 :: 		Delay_ms(2000);
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L_MainMenu25:
	DECFSZ     R13+0, 1
	GOTO       L_MainMenu25
	DECFSZ     R12+0, 1
	GOTO       L_MainMenu25
	DECFSZ     R11+0, 1
	GOTO       L_MainMenu25
	NOP
;menu.c,87 :: 		break;
	GOTO       L_MainMenu23
;menu.c,88 :: 		case 1:
L_MainMenu26:
;menu.c,89 :: 		Delay_ms(2000);
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L_MainMenu27:
	DECFSZ     R13+0, 1
	GOTO       L_MainMenu27
	DECFSZ     R12+0, 1
	GOTO       L_MainMenu27
	DECFSZ     R11+0, 1
	GOTO       L_MainMenu27
	NOP
;menu.c,90 :: 		break;
	GOTO       L_MainMenu23
;menu.c,91 :: 		}
L_MainMenu22:
	MOVF       MainMenu_ITEM_L0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_MainMenu24
	MOVF       MainMenu_ITEM_L0+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_MainMenu26
L_MainMenu23:
;menu.c,96 :: 		}
	RETURN
; end of _MainMenu

_main:

;menu.c,99 :: 		void main() {
;menu.c,100 :: 		CMCON  |= 7;                       // Disable Comparators
	MOVLW      7
	IORWF      CMCON+0, 1
;menu.c,101 :: 		TRISA = 0b00011100;                 // RA5,RA4,RA3,RA2 are set to input
	MOVLW      28
	MOVWF      TRISA+0
;menu.c,102 :: 		Lcd_Init();                                    // Initialize LCD
	CALL       _Lcd_Init+0
;menu.c,103 :: 		Lcd_Cmd(_LCD_CLEAR);                           // Clear LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;menu.c,104 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);                      // Turn cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;menu.c,105 :: 		Lcd_Out(1, 3, "Waiting");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      3
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_menu+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;menu.c,106 :: 		do {
L_main28:
;menu.c,107 :: 		switch(WaitForInput()){
	CALL       _WaitForInput+0
	MOVF       R0+0, 0
	MOVWF      FLOC__main+0
	GOTO       L_main31
;menu.c,108 :: 		case MENU:
L_main33:
;menu.c,109 :: 		Delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_main34:
	DECFSZ     R13+0, 1
	GOTO       L_main34
	DECFSZ     R12+0, 1
	GOTO       L_main34
	DECFSZ     R11+0, 1
	GOTO       L_main34
	NOP
;menu.c,110 :: 		MainMenu();
	CALL       _MainMenu+0
;menu.c,111 :: 		break;
	GOTO       L_main32
;menu.c,112 :: 		}
L_main31:
	MOVF       FLOC__main+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_main33
L_main32:
;menu.c,114 :: 		} while (1);
	GOTO       L_main28
;menu.c,115 :: 		}
	GOTO       $+0
; end of _main
