#line 1 "C:/Documents and Settings/Bex/My Documents/menu/menu.c"




sbit LCD_RS at RA0_bit;
sbit LCD_EN at RA1_bit;
sbit LCD_D4 at RB0_bit;
sbit LCD_D5 at RB1_bit;
sbit LCD_D6 at RB2_bit;
sbit LCD_D7 at RB3_bit;
sbit LCD_RS_Direction at TRISA0_bit;
sbit LCD_EN_Direction at TRISA1_bit;
sbit LCD_D4_Direction at TRISB0_bit;
sbit LCD_D5_Direction at TRISB1_bit;
sbit LCD_D6_Direction at TRISB2_bit;
sbit LCD_D7_Direction at TRISB3_bit;


 unsigned char MainMenuLIST[3][16] = {
{"Option 1"},
{"Option 2"},
{"Option 3"}
};

unsigned char WaitForInput(void){
 unsigned char done = 0;

 while(!done){
 if (Button(&PORTA,  2 , 1, 0))
 done =  2 ;
 if (Button(&PORTA,  3 , 1, 0))
 done =  3 ;
 if (Button(&PORTA,  4 , 1, 0))
 done =  4 ;
 }
 return done;
}

void MainMenu(void){
unsigned char POS = 0;
unsigned char done = 0;
unsigned char x;
unsigned char ITEM=0;
unsigned char PAGE=0;

Lcd_Cmd(_LCD_CLEAR);

while(!done){
 for(x=0;x<2;x++){

 if(x == POS)
 Lcd_Out((x+1),1,">");
 else
 Lcd_Out((x+1),1," ");

 Lcd_Out((x+1),2,MainMenuLIST[(x+PAGE)]);
 }

 switch(WaitForInput()){
 case  3 :
 if(POS>0){
 POS--;
 ITEM--;
 } else {
 if(PAGE != 0) PAGE--;
 }
 break;
 case  4 :
 if(POS<2){
 POS++;
 ITEM++;
 } else {
 PAGE=1;
 }
 break;
 case  2 :
 done = 0xFF;
 break;
 }
}


 ITEM+=PAGE;
 switch(ITEM){
 case 0:
 Delay_ms(2000);
 break;
 case 1:
 Delay_ms(2000);
 break;
 }




}


void main() {
 CMCON |= 7;
 TRISA = 0b00011100;
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 Lcd_Out(1, 3, "Waiting");
 do {
 switch(WaitForInput()){
 case  2 :
 Delay_ms(100);
 MainMenu();
 break;
 }

} while (1);
}
